# std::tr1::hash< unsigned char > Struct Template Reference

Inheritance diagram for std::tr1::hash< unsigned char >:

List of all members.

## Detailed Description

### template<>
struct std::tr1::hash< unsigned char >

Definition at line 63 of file functional_hash.h.

## Public Types

- typedef unsigned char argument_type
- typedef std::size_t result_type

## Public Member Functions

- std::size_t operator() (unsigned char __val) const

## Member Typedef Documentation

typedef unsigned char std::unary_function< unsigned char , std::size_t >::argument_type`[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef std::size_t std::unary_function< unsigned char , std::size_t >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- functional_hash.h